
Redmine - Patch #13460

All translations: RSS -> Atom

2013-03-13 01:25 - Filou Centrinov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Translations Estimated time: 0.00 hour

Target version: 2.4.0   

Description

Replace for all language translations "RSS" with "Atom".

Related issues:

Related to Redmine - Patch #15118: Deprecate and rename rss_* methods to atom... Closed

Associated revisions

Revision 11654 - 2013-03-19 19:26 - Jean-Philippe Lang

All translations: RSS -> Atom (#13460).

Patch by Daniel Felix.

History

#1 - 2013-03-13 02:09 - Mischa The Evil

I think the patch is missing, but it speaks for itself...

#2 - 2013-03-13 11:38 - Daniel Felix

- File translation_rss_to_atom.diff added

- File functional_renaming_rss_to_atom.diff added

Hi I'll provide two patches.

Number 1: just the renaming of RSS in ATOM in all translations. I checked it quickly to prepent that only feed-keys are updated. It seems to be okay.

Number 2: functional renaming. Deprecation of old rss_* methods and redefining them as atom_* methods. Old methods are still available and give

deprecation warnings. Please test Number 2, too. But it seems to work in the first test.

Best regards,

Daniel

#3 - 2013-03-13 11:52 - Daniel Felix

- Target version set to 2.3.0

#4 - 2013-03-13 13:16 - Filou Centrinov

The translation should be "Atom" instead of "ATOM".

#5 - 2013-03-13 21:09 - Daniel Felix

- File translation_rss_to_atom_v2.diff added

Well this shouldn't be a big problem. Just a simple replace. ;-)

#6 - 2013-03-17 10:21 - Daniel Felix

Any regressions on this patches?

#7 - 2013-03-19 19:27 - Jean-Philippe Lang

- Category changed from Translations to Code cleanup/refactoring

- Target version changed from 2.3.0 to 2.4.0
I've committed the translations in r11654 but I think it's a bit late to change the methods for 2.3.0.

#8 - 2013-03-19 21:21 - Daniel Felix

Yes your right.

I just added 2.3 as a sidenote for the translations. :-)

Hopefully the way I use to deprecate those methods is good enough for the implementation. :-)

#9 - 2013-10-13 10:02 - Jean-Philippe Lang

- Target version changed from 2.4.0 to Candidate for next major release

2.4 feature freeze

#10 - 2013-10-13 10:19 - Toshi MARUYAMA

- Status changed from New to Closed

- Target version changed from Candidate for next major release to 2.4.0

r11654 changed all translations.

#11 - 2013-10-14 02:04 - Mischa The Evil

- Category changed from Code cleanup/refactoring to Translations

I extracted #15118 out this issue to cover the actual deprecation and renaming of the affected methods, which makes that this issue is about the

translations only (like as it was initially).

#12 - 2013-10-14 02:06 - Mischa The Evil

- Related to Patch #15118: Deprecate and rename rss_* methods to atom_* methods added

Files

translation_rss_to_atom.diff 92.2 KB 2013-03-13 Daniel Felix

functional_renaming_rss_to_atom.diff 26.9 KB 2013-03-13 Daniel Felix

translation_rss_to_atom_v2.diff 92.2 KB 2013-03-13 Daniel Felix

Powered by TCPDF (www.tcpdf.org)

2025-05-16 2/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/11654
https://www.redmine.org/projects/redmine/repository/svn/revisions/11654
https://www.redmine.org/issues/15118
http://www.tcpdf.org

